# Class DemoApplication

java.lang.Object
jam.framework.Application
jam.framework.MultiDocApplication
jam.demo.DemoApplication

public class DemoApplication extends MultiDocApplication

## Constructor Summary

Constructors
Constructor
Description
`DemoApplication(MenuBarFactory menuBarFactory, String nameString, String aboutString, Icon icon)`

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] args)`

### Methods inherited from class MultiDocApplication

`destroyDocumentFrame, doNew, doOpenFile, doQuit, getDocumentFrame, getUpperDocumentFrame, initialize, setDocumentFrameFactory`

### Methods inherited from class Application

`addMenuFactory, addPreferencesSection, addRecentFile, displayURL, doAbout, doHelp, doOpen, doOpen, doPageSetup, doPreferences, doWebsite, getAboutAction, getAboutBackground, getAboutForeground, getAboutString, getApplication, getExitAction, getHelpAction, getHelpURLString, getIcon, getMenuBarFactory, getNameString, getNewAction, getOpenAction, getPageSetupAction, getPreferencesAction, getRecentFileMenu, getTitleString, getWebsiteAction, getWebsiteURLString`

### Methods inherited from class Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DemoApplication

public DemoApplication(MenuBarFactory menuBarFactory, String nameString, String aboutString, Icon icon)

## Method Details

### main

public static void main(String[] args)